| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Protocols
Protocols.Bittorrent
Protocols.Bittorrent.Bencoding

# Method Protocols.Bittorrent.Bencoding._decode()

Method _decode

  `array(string|int|array|mapping) _decode(string what)`

Description

  Decodes a Bittorrent bencoded data chunk.

Returns

  Array
  `string|int|array|mapping data` | The decoded data. UNDEFINED if no data could be decoded.
  `string remainder` | The trailing data that wasn't decoded.